#include <GL/glew.h>

#define GL_ERROR if (glGetError()!=GL_NO_ERROR) {printf("GL ERROR\n");}

GLuint get_gl_program_basic(void);
GLuint get_gl_program_pixmap(void);
GLuint get_gl_program_image(void);
GLuint get_gl_program_image_rgb(void);
GLuint get_gl_program_surface(void);
GLuint get_gl_program_pixmap_modelview(void);
void draw_basic_triangle(GLuint program);
void draw_pixmap(GLuint program, int width, int height, float *data );
void draw_image(GLuint program, GLuint tex_r, GLuint tex_g, GLuint tex_b);
void draw_image_rgb(GLuint program, GLuint texture);
void draw_surface(GLuint program, int nb_sommets, GLuint buffer_indices, GLuint buffer_sommets_xy, GLuint buffer_sommets_z, GLuint buffer_normales, GLuint buffer_colors, float *PMV, float *MV, float *N, float *LightPosition, float *Kdiffuse, float *LightIntensity, float *Kambient);
void draw_pixmap_modelview(GLuint program, GLuint texture, float xmin, float xmax, float ymin, float ymax, float *PMV);
